msgpack_vrefbuffer Struct Reference
MessagePack C » Buffers » Vectored Referencing buffer

`#include <vrefbuffer.h>`

## Public Attributes

struct iovec * | tail
struct iovec * | end
struct iovec * | array
size_t | chunk_size
size_t | ref_size
msgpack_vrefbuffer_inner_buffer | inner_buffer

## Member Data Documentation

## array

struct iovec* msgpack_vrefbuffer::array

## chunk_size

size_t msgpack_vrefbuffer::chunk_size

## end

struct iovec* msgpack_vrefbuffer::end

## inner_buffer

msgpack_vrefbuffer_inner_buffer msgpack_vrefbuffer::inner_buffer

## ref_size

size_t msgpack_vrefbuffer::ref_size

## tail

struct iovec* msgpack_vrefbuffer::tail

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/vrefbuffer.h